boost::geometry::detail::thomas_inverse< CT, EnableDistance, EnableAzimuth > Struct Template Reference

The solution of the inverse problem of geodesics on latlong coordinates, Forsyth-Andoyer-Lambert type approximation with second order terms. More...

List of all members.

## Public Types

typedef result_inverse< CT > | result_type

## Static Public Member Functions

template<typename T1 , typename T2 , typename Spheroid >
static result_type | apply (T1 const &lon1, T1 const &lat1, T2 const &lon2, T2 const &lat2, Spheroid const &spheroid)

## Detailed Description

### template<typename CT, bool EnableDistance, bool EnableAzimuth>
struct boost::geometry::detail::thomas_inverse< CT, EnableDistance, EnableAzimuth >

The solution of the inverse problem of geodesics on latlong coordinates, Forsyth-Andoyer-Lambert type approximation with second order terms.

Author:
  See
  - Technical Report: PAUL D. THOMAS, MATHEMATICAL MODELS FOR NAVIGATION SYSTEMS, 1965 http://www.dtic.mil/docs/citations/AD0627893
  - Technical Report: PAUL D. THOMAS, SPHEROIDAL GEODESICS, REFERENCE SYSTEMS, AND LOCAL GEOMETRY, 1970 http://www.dtic.mil/docs/citations/AD703541

## Member Typedef Documentation

template<typename CT , bool EnableDistance, bool EnableAzimuth>

typedef result_inverse<CT> boost::geometry::detail::thomas_inverse< CT, EnableDistance, EnableAzimuth >::result_type

## Member Function Documentation

template<typename CT , bool EnableDistance, bool EnableAzimuth>
template<typename T1 , typename T2 , typename Spheroid >

static result_type boost::geometry::detail::thomas_inverse< CT, EnableDistance, EnableAzimuth >::apply | ( | T1 const & | lon1,
|  | T1 const & | lat1,
|  | T2 const & | lon2,
|  | T2 const & | lat2,
|  | Spheroid const & | spheroid
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK